View a markdown version of this page

ListJobs - AWS End User Messaging

ListJobs

Retrieves a paginated list of the asynchronous jobs in your account. You can filter the results by status, brand profile, or operation type.

Request Syntax

GET /v1/jobs?brandProfileId=brandProfileId&maxResults=maxResults&nextToken=nextToken&operationType=operationType&status=status HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

brandProfileId

Filters the results to jobs for the specified brand profile.

Length Constraints: Minimum length of 1. Maximum length of 256.

Pattern: [A-Za-z0-9_:/-]+

maxResults

The maximum number of results to return per page.

Valid Range: Minimum value of 1. Maximum value of 100.

nextToken

The token to retrieve the next page of results. This value is returned when more results are available, and is null when there are no more results to return.

Length Constraints: Minimum length of 1. Maximum length of 2048.

Pattern: .+

operationType

Filters the results to jobs of the specified operation type.

Length Constraints: Minimum length of 1. Maximum length of 128.

status

Filters the results to jobs that have the specified status.

Valid Values: SUCCESS | PROCESSING | FAILED

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "jobs": [ { "brandProfileId": "string", "createdAt": number, "errorCode": "string", "errorMessage": "string", "jobId": "string", "operationType": "string", "resources": [ { "resourceArn": "string", "resourceId": "string", "resourceType": "string" } ], "status": "string", "updatedAt": number } ], "nextToken": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

jobs

The list of asynchronous jobs.

Type: Array of JobSummary objects

Array Members: Minimum number of 0 items. Maximum number of 100 items.

nextToken

The token to retrieve the next page of results. This value is returned when more results are available, and is null when there are no more results to return.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 2048.

Pattern: .+

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

You do not have sufficient access to perform this action.

HTTP Status Code: 403

InternalServerException

An unexpected error occurred during the processing of the request.

HTTP Status Code: 500

ThrottlingException

The request was denied because it exceeded the allowed request rate.

HTTP Status Code: 429

ValidationException

The input fails to satisfy the constraints specified by the service. Check your request parameters and retry the request.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: